/* Reseta estilos padrão */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: Arial, sans-serif;
  color: #333;
  background-color: #f9f9f9;
  padding: 10px;
}

header {
  text-align: center;
  margin-bottom: 20px;
}

h1 {
  font-size: 2rem;
  color: #007bff;
}

main {
  max-width: 1200px;
  margin: 0 auto;
}

section {
  margin-bottom: 30px;
  background: #fff;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

h2 {
  margin-bottom: 15px;
  color: #0056b3;
}

form {
  display: flex;
  flex-direction: column;
}

textarea, input, button {
  padding: 10px;
  margin-bottom: 15px;
  border-radius: 5px;
  border: 1px solid #ddd;
}

textarea {
  resize: vertical;
}

button {
  background-color: #007bff;
  color: #fff;
  border: none;
  cursor: pointer;
}

button:hover {
  background-color: #0056b3;
}

table {
  width: 100%;
  border-collapse: collapse;
  margin-top: 15px;
}

table, th, td {
  border: 1px solid #ddd;
}

th, td {
  padding: 10px;
  text-align: left;
}

th {
  background-color: #007bff;
  color: #fff;
}

tr>td>img {
  border-radius: 50%;
  height: 2em;
}

.badge-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
}

.badge-front, .badge-back {
  width: 300px;
  height: 180px;
  padding: 10px;
  border: 2px solid #ddd;
  border-radius: 8px;
  background-color: #f9f9f9;
  text-align: center;
}
.badge-profile{
  scale: 1.0;
}

.badge-photo, .profile-photo{
  width: 80px;
  height: 80px;
  border-radius: 50%;
  margin-bottom: 10px;
}

footer {
  text-align: center;
  margin-top: 20px;
  color: #666;
}

@media (max-width: 768px) {
  .badge-container {
    flex-direction: column;
  }

  table {
    font-size: 12px;
  }
}





.overflow {
      font-weight: normal; /* Alterar font-weight se houver overflow */
    }



.container-v8 {
  display: flex;
  gap: 20px;
}

.badge-v8 {
  width: 280px;
  height: 450px;
  position: relative;
  overflow: hidden;
  border-radius: 12px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  
}

.background-v8 {
  width: 100%;
  height: 100%;
  object-fit: cover;
  position: absolute;
  top: 0;
  left: 0;
}

.content-v8 {
  position: relative;
  z-index: 1;
  height: 100%;
  color: #fff;
  display: grid;
  grid-template-rows: 200px 35px 55px auto;
  padding: 25px 2px 25px;
  box-sizing: border-box;
}

.user-photo-v8 {
  width: 135px;
  height: 135px;
  border-radius: 50%;
  object-fit: cover;
  margin: 54px auto 15px;
}

.full-name-v8 {
  color: #fff;
  padding-left: 5px;
  margin: 137px auto 15px;
  font-size: 0.8em;
  overflow-wrap: break-word;
  word-wrap: break-word;
  hyphens: auto;
}

.name-v8 {
  color: #fff;
  font-weight: 800;
  margin: 10px auto 15px;
  font-size: 1.5em;
  overflow-wrap: break-word;
  word-wrap: break-word;
  hyphens: auto;
}

.registration-v8, .contact-v8 {
  margin: 10px auto 15px;
  font-size: .8em;
  text-align: center;
  text-justify: auto;
}

.sector-v8 {
  font-weight: 800;
  margin: 10px auto 15px;
  font-size: .8em;
  text-align: center;
  text-justify: auto;
}

.qr-code-v8 {
  width: 110px;
  height: 110px;
  margin: 1px auto 8px;
  border-radius: 15%;
}

.qr-code-container {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 1px;
  border-radius: 15%;
}

.warning-v8 {
  font-size: 10px;
  margin-top: 20px;
  text-align: center;
}

/* Estilos específicos para o verso do crachá */
.badge-v8.back-v8 .content-v8 {
  grid-template-rows: 190px auto auto 1fr;
}

@media (max-width: 650px) {
  .container-v8 {
      flex-direction: column;
  }
}

/* Utilizando shorthand */
.margin-example {
  margin: 10px 5px; /* Abreviado */
}

/* Remover regras não utilizadas, se houver */
/* Nenhuma regra não utilizada foi encontrada */